curl --request GET \
--url https://api.woopsocial.com/v1/social-account-posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woopsocial.com/v1/social-account-posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woopsocial.com/v1/social-account-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"link": "<string>"
}
],
"nextCursor": "<string>"
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}List social account posts
Returns standalone social account posts for the API key’s organization.
Each item includes the content, schedule and delivery status for a given social account target.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter to one or more projects. Provide a comma-separated list of project IDs.
Filter to one or more connected social accounts. Provide a comma-separated list of social account IDs.
Filter to one or more parent posts. Provide a comma-separated list of post IDs.
Filter to one or more social platforms. Provide a comma-separated list of platform values.
Identifies which social media platform this data structure targets.
PINTEREST, LINKEDIN, LINKEDIN_PAGES, INSTAGRAM, FACEBOOK, THREADS, TIKTOK, X, YOUTUBE, WOOPTEST Filter to one or more delivery statuses. Provide a comma-separated list of delivery status values.
Delivery lifecycle status for a post.
NOT_STARTED: The post exists and is scheduled, but delivery has not started yet.
SENDING: Delivery is currently in progress.
PUBLISHED: Delivery completed successfully.
FAILED: Delivery completed unsuccessfully.
NOT_STARTED, SENDING, PUBLISHED, FAILED Number of items to return.
1 <= x <= 100Opaque cursor for the next page of results.
Response
Social account posts.
- Pinterest
- Instagram
- Facebook
- Threads
- TikTok
- YouTube
- X
- LinkedIn
- LinkedIn Pages
- WoopTest
Show child attributes
Show child attributes
Opaque cursor for the next page of results. Omitted when there are no more results.
Was this page helpful?